Update multiple records in a single batch operation
The request body should contain an array of items, where each item represents a row to be updated. For each row, provide the row_id and updates array that specifies the columns (path) to update and the new values (value). The example below is assuming that the table being modified has a column labeled name.
Required API Scope: Workspace Content: Update
POST
/
workspace
/
{workspace_id}
/
table
/
{table_id}
/
content
/
bulk
/
patch
Update multiple records in a single batch operation
curl --request POST \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/content/bulk/patch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"row_id": 1,
"updates": {
"name": "test name"
}
}
]
}
'import requests
url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/content/bulk/patch"
payload = { "items": [
{
"row_id": 1,
"updates": { "name": "test name" }
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({items: [{row_id: 1, updates: {name: 'test name'}}]})
};
fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/content/bulk/patch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": [
"<string>"
],
"success_total": 123
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/jsonmultipart/form-data
Show child attributes
Show child attributes
Was this page helpful?
Delete multiple records by their IDs in a single operation
Previous
Create multiple records in a single batch operation
Next
⌘I
Update multiple records in a single batch operation
